blob: 5cfe9847b8dc6b823b46498d8e8900ab469e8144 (
plain) (
blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
|
--- gnats/gnats-edit-pr.sh.orig Wed Mar 13 17:19:09 2002
+++ gnats/gnats-edit-pr.sh Wed Mar 13 17:21:14 2002
@@ -178,13 +178,11 @@
# lock the pr
$debug_print "Locking $pr_id."
-lock=`$PR_EDIT --lock=$full_me $pr_id 2>&1 > $new`
-locked=t
-
-if [ "$lock" != "" ] ; then
- echo $lock
- exit 0
+if ! $PR_EDIT --lock=$full_me $pr_id >$new ; then
+ echo "Failed to lock PR $pr_id"
+ exit 1
fi
+locked=t
# here's where we actually call the editor.
cp $new $new.old
|